%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pydir: %define pydir %(%{__python} -c "from distutils.sysconfig import get_config_vars; print get_config_vars()['LIBDEST']")}

Name:           python-HTMLgen
Version:        2.2.2
Release:        22%{?dist}
Summary:        A class library for the generation of HTML documents

Group:          Development/Libraries
License:        MIT
# For the moment these page have not yet been restored. (jamatos-20070828)
URL:            http://starship.python.net/lib.html
Source:         http://starship.python.net/crew/friedrich/HTMLgen.tar.gz
# Apply debian's patch (all the non-debian parts)
# http://patch-tracker.debian.org/patch/nondebian/dl/htmlgen/2.2.2-12
Patch:          debian_2.2.2-12.patch
# Replace references to whrandom by random (not yet on debian)
Patch2:		htmlgen-whrandom-2.2.2.patch

BuildRequires:  python-devel
BuildArch:      noarch

%description
HTMLgen is a class library for the generation of HTML documents with Python
scripts. It's used when you want to create HTML pages containing information
which changes from time to time.

%prep
%setup -q -n HTMLgen
%patch -p1
%patch2 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 0755 $RPM_BUILD_ROOT%{python_sitelib}

for file in HTMLgen.py HTMLcolors.py HTMLutil.py HTMLcalendar.py \
 barchart.py colorcube.py imgsize.py NavLinks.py Formtools.py ImageH.py \
 ImageFileH.py ImagePaletteH.py GifImagePluginH.py JpegImagePluginH.py \
 PngImagePluginH.py
do
  install -m 0644 $file $RPM_BUILD_ROOT%{python_sitelib}
done
%{__python} %{pydir}/compileall.py $RPM_BUILD_ROOT%{python_sitelib}
%{__python} -O %{pydir}/compileall.py $RPM_BUILD_ROOT%{python_sitelib}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README html image data
%{python_sitelib}/*.py
%{python_sitelib}/*.py[co]

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 25 2012 José Matos <jamatos@fedoraproject.org> - 2.2.2-18
- Update with the latest patches

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.2.2-14
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.2.2-11
- Rebuild for Python 2.6

* Tue Aug 28 2007 José Matos <jamatos[AT]fc.up.pt> - 2.2.2-10
- Added comment regarding homepage availability.
- Apply debian's patches.
- Include documentation.

* Tue Dec 12 2006 José Matos <jamatos[AT]fc.up.pt> - 2.2.2-9
- Rebuild for python 2.5.

* Mon Sep 11 2006 José Matos <jamatos[AT]fc.up.pt> - 2.2.2-8
- Rebuild for FC6.

* Tue Apr  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-7
- Added python to BuildRequires
- Removed versioning code for now

* Wed Mar 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-6
- Added disttag

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-6
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-5
- Macros in %%changelog are dangerous

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-4
- Fixed small Provides bug

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-3
- Streamlined version handling
- Implemented %%python_sitelib

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-2
- Modified %%setup to use -n
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-1
- Bump release to 1
- Fixed License tag

* Thu Mar 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-0.iva.1
- Name changed to python-HTMLgen to match module import
- %pyver cleanups

* Thu Jan 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-0.iva.0
- Initial RPM release.
